Name: 		Wine
Summary: 	WINE (Windows Emulator)
Version: 	0.9.6
Release: 	1
URL:            http://www.winehq.com/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}mine.desktop
Source3:	%{name}cfg.desktop
Source4:	wine.desktop
Group: 		Applications
BuildRoot: 	/var/tmp/%{name}-%{version}-buildroot
Copyright: 	GPL

%description
Wine is an implementation of the Windows Win32 and Win16 APIs on top of X
and Unix. Think of Wine as a Windows compatibility layer. Wine provides 
both a development toolkit (Winelib) for porting Windows sources to Unix 
and a program loader, allowing many unmodified Windows 3.x/95/98/ME/NT/W2K/XP 
binaries to run under Intel Unixes.

Wine does not require Microsoft Windows, as it is a completely alternative 
implementation consisting of 100% Microsoft-free code, but it can optionally
use native system DLLs if they are available

Configuration file is in $HOME/.wine/config; cp it to your $HOME/.wine!!!
To run or install an Windows application or game, type in an xterm:
wine filename.exe  <note you can run realplay.exe, mplayer2.exe, etc>

You can also have KDE recognize *.exe then have it run  
"/usr/bin/wine file.exe" as if your really in Windows by making the
shortcut.

Some GUI wine programs and utilities: 
notepad
progman
regedit
uninstaller
xterm -e wcmd
winebrowser
winecfg
winefile
winelauncher
winemine
wineserver (just starts the server)
winhelp



%package 	devel
Summary:        WINE headers
Group:          Development

%description 	devel
Headers for developing games/apps for WINE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n wine-%{version}
%build
%configure \
        --enable-dll \
        --with-x \
        --prefix=/usr \
        --enable-opengl \
	--disable-debug \
	--disable-trace \
	--without-curses \
	--disable-nls

make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv /usr/lib/wine $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/WineHQ
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/usr/share/peanut/apps/Applications/WineHQ

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/wine/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc ANNOUNCE ChangeLog DEVELOPERS-HINTS README VERSION
/usr/bin
/usr/lib
/usr/man
/usr/share/wine
/usr/share/peanut
/usr/share/applications

%files devel
%defattr (-,root,root)
/usr/include
/usr/share/aclocal
